------------------------------------------------------
-- GFWUtils.lua
-- Version 1500.1
-- Useful utility / debug functions
------------------------------------------------------

GFW_FONT_COLOR = {r=0.25, g=1.0, b=1.0};
GFW_DEBUG_COLOR = {r=1.0, g=0.75, b=0.25};

GFWUtils = {

Debug = false;

Hilite = function(text)
	return HIGHLIGHT_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
end;

Red = function(text)
	return RED_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
end;

Gray = function(text)
	return GRAY_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
end;

LtY = function(text)
	return LIGHTYELLOW_FONT_COLOR_CODE..text..FONT_COLOR_CODE_CLOSE;
end;

-- Send Message to Chat Frame
Print = function(message)
	DEFAULT_CHAT_FRAME:AddMessage(message, GFW_FONT_COLOR.r, GFW_FONT_COLOR.g, GFW_FONT_COLOR.b);
end;

DebugLog = function(message)
	if (GFWUtils.Debug) then
		DEFAULT_CHAT_FRAME:AddMessage(message, GFW_DEBUG_COLOR.r, GFW_DEBUG_COLOR.g, GFW_DEBUG_COLOR.b);
	end
end;

-- Send Message to Error Frame
Note = function(message)
	UIErrorsFrame:AddMessage(message, 1.0, 1.0, 0.0, 1.0, UIERRORS_HOLD_TIME);
end;

};
	
	
		
